fix app not starting when using Ruby 1.8
authorLunar <lunar@anargeek.net>
Wed, 13 Mar 2013 17:00:52 +0000 (18:00 +0100)
committerLunar <lunar@anargeek.net>
Thu, 14 Mar 2013 10:44:12 +0000 (11:44 +0100)
commitbec53515b0442bf2cdadb9e9c5af4220c4ea7117
treea6e31c63346a3a5e03ff14f7f7f9bad83e360164
parentcd6d3f84ae520b089183139d1fe5607986575735
fix app not starting when using Ruby 1.8

It looks like wrapping the application inside a lambda is not supported when
using Ruby 1.8. So we skip the "half-close" monkeypatch when using something
before Ruby 1.9 and build the Rack application directly.
lib/coquelicot/app.rb